Get Appliance Sizes

Get Appliance Sizes

Get appliance sizes

Request
URI
GET
https://{api_host}/hybridity/api//ztp/appliancesizes
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns appliancesFormFactors of type(s) application/json
{
    "appliances": [
        {
            "type": "string",
            "size": "string",
            "version": "string",
            "cpuCount": 0,
            "memoryInGB": 0,
            "diskInGB": 0,
            "description": "string"
        }
    ]
}
appliances
Required

appliances


400

Bad Request

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors